<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\ModeratorEssentials\Job;

class InstallHelper extends \XF\Job\AbstractJob
{

    public function run($maxRunTime)
    {
        /** @var \SV\ModeratorEssentials\XF\Repository\ModeratorLog $logRepo */
        $logRepo = \XF::repository('XF:ModeratorLog');
        if (\is_callable([$logRepo, 'pruneSearches']))
        {
            $logRepo->pruneSearches(\XF::$time);
        }

        return $this->complete();
    }

    public function getStatusMessage()
    {
        return '';
    }

    /**
     * @return bool
     */
    public function canCancel()
    {
        return false;
    }

    /**
     * @return bool
     */
    public function canTriggerByChoice()
    {
        return false;
    }
}
