<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\ModeratorEssentials\ModeratorLog;

use XF\Entity\ModeratorLog;

/**
 * An interface for moderator log entries which appear on the moderation panel.
 */
interface PanelInterface
{
    /**
     * @return bool
     */
    public function canViewLogs();

    /**
     * @param ModeratorLog $log
     * @param string       $error
     *
     * @return bool
     */
    public function canViewLog(ModeratorLog $log, &$error = null);

    /**
     * @return bool
     */
    public function requiresHydration();

    /**
     * @return array
     */
    public function getActions();
}
