<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\ModeratorEssentials\Option;

use XF\Entity\Option;
use XF\Option\AbstractOption;

/**
 * A class for warning option callbacks.
 */
class Warning extends AbstractOption
{
    /**
     * @param Option $option
     * @param array  $htmlParams
     *
     * @return string
     */
    public static function renderSelect(Option $option, array $htmlParams)
    {
        /** @var \XF\Repository\Warning $warningRepo */
        $warningRepo = \XF::repository('XF:Warning');
        $warnings = $warningRepo->findWarningDefinitionsForList()->fetch();

        $choices = [0 => \XF::phrase('none')];
        foreach ($warnings as $warningId => $warning) {
            /** @var \XF\Entity\WarningDefinition $warning */
            $choices[$warningId] = \XF::escapeString($warning->title);
        }

        return self::getSelectRow($option, $htmlParams, $choices);
    }
}
