<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\ModeratorEssentials\Repository;

use XF\Entity\Thread;
use XF\Mvc\Entity\Repository;

/**
 * A repository for thread notes entities.
 */
class ThreadNotes extends Repository
{
    /**
     * @param Thread $thread
     *
     * @return \XF\Mvc\Entity\Finder
     */
    public function findNotesForNotesThread(Thread $thread)
    {
        /** @var \XF\Mvc\Entity\Finder $finder */
        $finder = $this->finder('SV\ModeratorEssentials:ThreadNotes')
            ->with('Thread')
            ->where('discussion_thread', $thread->thread_id);

        return $finder;
    }

    /**
     * @return \XF\Entity\Forum|null
     */
    public function getNotesForum()
    {
        $forumId = $this->options()->mod_discuss_node;
        if (!$forumId) {
            return null;
        }

        return $this->em->find('XF:Forum', $forumId, 'Node');
    }
}
