<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\ModeratorEssentials\XF\Entity;

use SV\ModeratorEssentials\Globals;

/**
 * Extends \XF\Entity\Forum
 */
class Forum extends XFCP_Forum
{
    /**
     * @return bool
     */
    public function canViewDeletedThreads()
    {
        $canViewDeletedThreads = parent::canViewDeletedThreads();

        if (!$canViewDeletedThreads && Globals::$checkPlaceholderVisibility) {
            return $this->canViewDeletedThreadPlaceholders();
        }

        return $canViewDeletedThreads;
    }

    /**
     * @return bool
     */
    public function canViewDeletedThreadPlaceholders()
    {
        $visitor = \XF::visitor();
        return $visitor->hasNodePermission(
            $this->node_id,
            'viewThreadPlaceholders'
        );
    }

    /**
     * @param string $error
     *
     * @return bool
     */
    public function canViewModerators(/** @noinspection PhpUnusedParameterInspection */&$error = null)
    {
        return $this->app()->options()->modess_show_forum_moderators;
    }

    /**
     * @return bool
     */
    public function canViewModeratorLogEntries()
    {
        $visitor = \XF::visitor();
        return $visitor->hasNodePermission(
            $this->node_id,
            'modessThreadViewModLogs'
        );
    }
}
