<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\ModeratorEssentials\XF\Entity;

/**
 * Extends \XF\Entity\Moderator
 */
class Moderator extends XFCP_Moderator
{
    /**
     * Entity post-delete events.
     */
    protected function _postDelete()
    {
        parent::_postDelete();

        $defaults = $this->finder('SV\ModeratorEssentials:DefaultFilters')
            ->where('user_id', $this->user_id)
            ->fetchOne();
        if ($defaults) {
            /** @var \SV\ModeratorEssentials\Entity\DefaultFilters $defaults */
            $defaults->delete();
        }
    }
}
