<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\ModeratorEssentials\XF\Entity;

/**
 * Extends \XF\Entity\Post
 */
class Post extends XFCP_Post
{
    /**
     * @param string $error
     *
     * @return bool
     */
    public function canConvertToConversation(&$error = null)
    {
        $visitor = \XF::visitor();
        $thread = $this->Thread;

        if (!$visitor->user_id || !$thread) {
            return false;
        }

        return $visitor->hasNodePermission(
            $thread->node_id,
            'modess_convertToConv'
        );
    }
}
