<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\ModeratorEssentials\XF\ModeratorLog;

use SV\ModeratorEssentials\ModeratorLog\PanelInterface;

use XF\Entity\ModeratorLog;

/**
 * Extends \XF\ModeratorLog\ProfilePost
 */
class ProfilePost extends XFCP_ProfilePost implements PanelInterface
{
    /**
     * @return bool
     */
    public function canViewLogs()
    {
        $visitor = \XF::visitor();
        return $visitor->canViewProfilePosts();
    }

    /**
     * @param ModeratorLog $log
     * @param string       $error
     *
     * @return bool
     */
    public function canViewLog(ModeratorLog $log, &$error = null)
    {
        $action = $log->action;
        if (!in_array($action, $this->getActions())) {
            return false;
        }

        return true;
    }

    /**
     * @return bool
     */
    public function requiresHydration()
    {
        return false;
    }

    /**
     * @return array
     */
    public function getActions()
    {
        return [
            'approve',
            'delete_hard',
            'delete_soft',
            'edit',
            'unapprove',
            'undelete',
            'warning_expired',
            'warning_given',
            'warning_removed'
        ];
    }
}
