<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\ModeratorEssentials\XF\Pub\Controller;

use XF\Mvc\ParameterBag;

/**
 * Extends \XF\Pub\Controller\Forum
 */
class Forum extends XFCP_Forum
{
    /**
     * @param ParameterBag $params
     *
     * @return \XF\Mvc\Reply\AbstractReply
     */
    public function actionModerators(ParameterBag $params)
    {
        /** @var \SV\ModeratorEssentials\XF\Entity\Forum $forum */
        $forum = $this->assertViewableForum(
            $params->node_id ?: $params->node_name
        );

        if (!$forum->canViewModerators($error)) {
            return $this->noPermission($error);
        }

        /** @var \SV\ModeratorEssentials\XF\Repository\Moderator $modRepo */
        $modRepo = $this->repository('XF:Moderator');
        $moderators = $modRepo->getForumModeratorsForList($forum);

        $viewParams = [
            'forum'      => $forum,
            'moderators' => $moderators
        ];
        return $this->view(
            'XF:Forum\Moderators',
            'sv_modess_forum_moderators',
            $viewParams
        );
    }
}
