<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\ModeratorEssentials\XFRM\ModeratorLog;

use SV\ModeratorEssentials\ModeratorLog\PanelInterface;

use XF\Entity\ModeratorLog;

/**
 * Extends \XFRM\ModeratorLog\ResourceItem
 */
class ResourceItem extends XFCP_ResourceItem implements PanelInterface
{
    /**
     * @return bool
     */
    public function canViewLogs()
    {
        /** @var \XFRM\XF\Entity\User $visitor */
        $visitor = \XF::visitor();
        return $visitor->canViewResources();
    }

    /**
     * @param ModeratorLog $log
     * @param string       $error
     *
     * @return bool
     */
    public function canViewLog(ModeratorLog $log, &$error = null)
    {
        $action = $log->action;
        if (!in_array($action, $this->getActions())) {
            return false;
        }

        return true;
    }

    /**
     * @return bool
     */
    public function requiresHydration()
    {
        return false;
    }

    /**
     * @return array
     */
    public function getActions()
    {
        return [
            'approve',
            'custom_fields_edit',
            'delete_hard',
            'delete_soft',
            'edit',
            'feature',
            'move',
            'prefix',
            'rating_delete_hard',
            'rating_delete_response',
            'rating_delete_soft',
            'rating_undelete',
            'rating_warning_given',
            'rating_warning_removed',
            'reassign',
            'unapprove',
            'undelete',
            'unfeature'
        ];
    }
}
